package com.xt.hb.gis.system;

import org.springframework.flex.core.ExceptionTranslator;

import flex.messaging.MessageException;

public class FlexExceptionTranslator implements ExceptionTranslator {

	public boolean handles(Class<?> clazz) {
		// System.out.println("CustomExceptionTranslator - handles - " +
		// clazz.getName());
		return true;
	}

	public MessageException translate(Throwable t) {
		// System.out.println("CustomExceptionTranslator - translate - " +
		// t.getMessage());
		return new MessageException(t);
	}
}